DOMElement::getAttributeNS
DOMElement::getElementsByTagNameNS
DOMElement
PHP Manual

# DOMElement::getElementsByTagName

(PHP 5, PHP 7)

DOMElement::getElementsByTagName — Gets elements by tagname

### Description

public DOMNodeList DOMElement::getElementsByTagName ( string `$name` )

This function returns a new instance of the class DOMNodeList of all descendant elements with a given tag `name`, in the order in which they are encountered in a preorder traversal of this element tree.

### Parameters

`name`

  The tag name. Use * to return all elements within the element tree.

### Return Values

This function returns a new instance of the class DOMNodeList of all matched elements.

### See Also

- DOMElement::getElementsByTagNameNS() - Get elements by namespaceURI and localName

DOMElement::getAttributeNS
DOMElement::getElementsByTagNameNS
DOMElement
PHP Manual